use Test::More tests => 3;
use Dpkg::IPC;

my $pwd = `pwd`;
chdir "test";
if ( $ENV{PKG_TEST_LOCAL} ) {
    $ENV{PERL5LIB} = '.';
}
spawn( exec => [ 'dh_auto_test', '--buildsystem=nodejs' ], wait_child => 1 );
ok( -e 'foo', 'File "foo" created' ) or diag `ls -l`;
unlink('foo');
spawn( exec => [ 'dh_auto_install', '--buildsystem=nodejs' ], wait_child => 1 );
ok( -e 'debian/foo/usr/share/nodejs/foo/package.json', 'package.json installed');
ok( -e 'debian/foo/usr/share/nodejs/foo/index.js', 'index.js installed');
spawn( exec => [ 'dh_auto_clean', '--buildsystem=nodejs' ], wait_child => 1 );
spawn( exec => [ 'dh_clean' ], wait_child => 1 );
chdir $pwd;
